---
type: api
title: Set default Deployment Domain Name
description: Saves the default Deployment Domain Name configuration value.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-set-default-deployment-domain-name
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-set-default-deployment-domain-name
products:
  - Elastic Cloud Enterprise
---

# Set default Deployment Domain Name

## Paths

- `PUT` `/platform/configuration/networking/deployment_domain_name`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#apikey)

## Description

Saves the default Deployment Domain Name configuration value.

## Query String Parameters

- `version` (string)
  If specified, then checks for conflicts against the version stored in the persistent store (returned in 'x-cloud-resource-version' of the GET request). If not specified, will unconditionally upsert.
- `skip_cascading_operations` (boolean · default: false)
  Whether or not to skip cascading operations, such as re-provisioning the Security Deployment.

## Request Body

`application/json`

Data containing the Deployment Domain Name to set

- `value` (string) — required
  The domain name for all deployments. The hostname of an application in a deployment is constructed from the application ID and the domain name (for example, 1234567890.example.com).

## Responses

#### `200`

The Deployment Domain Name was successfully saved.

`application/json`

- `value` (string)
  The domain name for all deployments. The hostname of an application in a deployment is constructed from the application ID and the domain name (for example, 1234567890.example.com).
##### Response Headers

- `x-cloud-resource-version` (string)
  The resource version, which is used to avoid update conflicts with concurrent operations
- `x-cloud-resource-created` (string)
  The date-time when the resource was created (ISO format relative to UTC)
- `x-cloud-resource-last-modified` (string)
  The date-time when the resource was last modified (ISO format relative to UTC)

#### `400`

The optimistic locking version format was wrong. (code: `networking.cname.bad_version_format`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `404`

There is no configured Deployment Domain Name but optimistic locking was sent. (code: `networking.cname.not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `409`

There was an optimistic locking version conflict. (code: `networking.cname.version_conflict`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `412`

skip_cascading_operations was false but the Security Deployment already had a pending plan. (code: `security_deployment.cluster_pending_plan_exists`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
PUT /platform/configuration/networking/deployment_domain_name
```

#### curl

```curl
curl -X PUT "/platform/configuration/networking/deployment_domain_name"
```

